Skip to content
Pile
Esc
navigateopen⌘Jpreview

List support inbox

GET/workspaces/{organizationId}/support/inbox
Path parameters
organizationIdstringrequired
Query parameters
statusstring
Allowed:tododonesnoozed
prioritystring
Allowed:lowmediumhighurgent
assignedTostring
customerIdstring
channelstring
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplain
labelstring
qstring
limitinteger
min 1 · max 100 · default: 25
cursorstring
Responses
200Inbox tickets
ticketsobject[]required
Show properties
Array of object
idstringrequired
numberintegerrequired
titlestringrequired
statusstringrequired
Allowed:tododonesnoozed
prioritystringrequired
Allowed:lowmediumhighurgent
customerobjectrequired
Show properties
idstringrequired
emailstringrequired
fullNamestring | null
primaryAssigneestring
labelsstring[]required
lastCustomerMessageAtstring<date-time>
lastAgentMessageAtstring<date-time>
createdAtstring<date-time>required
updatedAtstring<date-time>required
nextCursorstring | null
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/inbox"
Response
{
  "tickets": [
    {
      "id": "string",
      "number": 0,
      "title": "string",
      "status": "todo",
      "priority": "low",
      "customer": {
        "id": "string",
        "email": "string",
        "fullName": "string"
      },
      "primaryAssignee": "string",
      "labels": [
        "string"
      ],
      "lastCustomerMessageAt": "2019-08-24T14:15:22Z",
      "lastAgentMessageAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}